summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSamuel Lidén Borell <samuel@slbdata.se>2011-09-11 18:05:42 +0200
committerSamuel Lidén Borell <samuel@slbdata.se>2011-09-11 18:09:56 +0200
commit1cb894f4553904ea5a8732f4e9c1e96f1a8b42d6 (patch)
tree5b2e219c1c0173017f4b6b275a136cf2860c4fc8 /configure
parent267c63a0bca250dd8507efc9e93b32eb1cad5dce (diff)
downloadfribid-1cb894f4553904ea5a8732f4e9c1e96f1a8b42d6.tar.gz
fribid-1cb894f4553904ea5a8732f4e9c1e96f1a8b42d6.tar.bz2
fribid-1cb894f4553904ea5a8732f4e9c1e96f1a8b42d6.zip
Nicer error messages from the configure script
This patch adds more spacing and moves the errors messages last.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure35
1 files changed, 19 insertions, 16 deletions
diff --git a/configure b/configure
index 708e20d..4bb5d8c 100755
--- a/configure
+++ b/configure
@@ -228,25 +228,11 @@ fi
echo
-### Check dependencies
-utilities="make pkg-config msgfmt cpp"
-depError=""
-if ! type $utilities > /dev/null 2> /dev/null; then
- echo "ERROR: Missing commands:" >&2
- for utility in $utilities; do
- if ! type "$utility" > /dev/null 2> /dev/null; then
- echo " $utility" >&2
- depError=1
- fi
- done
-fi
-
if [ -z "$enable_pkcs11" ] && pkg-config --exists libp11; then
enable_pkcs11=1
fi
-oldifs=IFS
-IFS=";"
+# Check that the PKCS#11 module exists
pkgconfigDeps="gtk+-2.0 >= 2.12;gdk-2.0;glib-2.0;libcrypto;x11"
if [ "$enable_pkcs11" = 1 ]; then
if [ "$optional_pkcs11" = 0 ]; then
@@ -271,17 +257,34 @@ else
echo " PKCS#11 smartcard support disabled"
fi
+### Check dependencies
+utilities="make pkg-config msgfmt cpp"
+depError=""
+if ! type $utilities > /dev/null 2> /dev/null; then
+ echo
+ echo "ERROR: Missing commands:" >&2
+ for utility in $utilities; do
+ if ! type "$utility" > /dev/null 2> /dev/null; then
+ echo " $utility" >&2
+ depError=1
+ fi
+ done
+fi
+
+oldifs=IFS
+IFS=";"
if ! pkg-config --exists $pkgconfigDeps; then
+ echo
echo "ERROR: Unsatisfied dependencies: " >&2
for dep in $pkgconfigDeps; do
pkg-config --exists $dep || echo " $dep" >&2
done
depError=1
fi
-
IFS=oldifs
if [ -n "$depError" ]; then
+ echo
exit 1
fi